#![feature(proc_macro_hygiene, decl_macro)]

#[macro_use] extern crate rocket;

use rocket_contrib::templates::Template;

#[derive(serde::Serialize)]
struct Context {
    name: String,
    items: Vec<&'static str>
}

        

#[get("/")]
fn index() -> Template {
    let c = String::from("home");
    let context = Context { name: c, items: vec!["One", "Two", "Three"] };
    Template::render("index", &context)
}

fn main() {
    rocket::ignite()
        .attach(Template::fairing())
        .mount("/", routes![index]).launch();
}

